# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import register_em
class Content:
    expectations = {
    ('test_access_content','Sample Group Admin','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Admin','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Admin','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Admin','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Admin','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Admin','doc1','Closed GroupSpace') : True,
    ('test_access_content','Sample Group Admin','doc1','GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Admin','doc1','Open GroupSpace') : True,
    ('test_access_content','Sample Group Admin','doc1','Plone Site') : True,
    ('test_access_content','Sample Group Admin','doc1','Standard GroupSpace') : True,
    ('test_access_content','Sample Group Leader','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Leader','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Leader','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Leader','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Leader','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Leader','doc1','Closed GroupSpace') : True,
    ('test_access_content','Sample Group Leader','doc1','GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Leader','doc1','Open GroupSpace') : True,
    ('test_access_content','Sample Group Leader','doc1','Plone Site') : True,
    ('test_access_content','Sample Group Leader','doc1','Standard GroupSpace') : True,
    ('test_access_content','Sample Group Member','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Member','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Member','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Member','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Member','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Member','doc1','Closed GroupSpace') : True,
    ('test_access_content','Sample Group Member','doc1','GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Member','doc1','Open GroupSpace') : True,
    ('test_access_content','Sample Group Member','doc1','Plone Site') : True,
    ('test_access_content','Sample Group Member','doc1','Standard GroupSpace') : True,
    ('test_access_content','Sample Group Visitor','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Visitor','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Visitor','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Visitor','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Visitor','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Visitor','doc1','Closed GroupSpace') : True,
    ('test_access_content','Sample Group Visitor','doc1','GroupSpace with Areas') : True,
    ('test_access_content','Sample Group Visitor','doc1','Open GroupSpace') : True,
    ('test_access_content','Sample Group Visitor','doc1','Plone Site') : True,
    ('test_access_content','Sample Group Visitor','doc1','Standard GroupSpace') : True,
    ('test_access_content','Sample Manager','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_access_content','Sample Manager','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_access_content','Sample Manager','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_access_content','Sample Manager','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_access_content','Sample Manager','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_access_content','Sample Manager','doc1','Closed GroupSpace') : True,
    ('test_access_content','Sample Manager','doc1','GroupSpace with Areas') : True,
    ('test_access_content','Sample Manager','doc1','Open GroupSpace') : True,
    ('test_access_content','Sample Manager','doc1','Plone Site') : True,
    ('test_access_content','Sample Manager','doc1','Standard GroupSpace') : True,
    ('test_access_content','Sample Member','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_access_content','Sample Member','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_access_content','Sample Member','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_access_content','Sample Member','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_access_content','Sample Member','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_access_content','Sample Member','doc1','Closed GroupSpace') : True,
    ('test_access_content','Sample Member','doc1','GroupSpace with Areas') : True,
    ('test_access_content','Sample Member','doc1','Open GroupSpace') : True,
    ('test_access_content','Sample Member','doc1','Plone Site') : True,
    ('test_access_content','Sample Member','doc1','Standard GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Closed GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Open GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Plone Site') : False,
    ('test_add_and_delete_content','Sample Group Admin','doc1','Standard GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Closed GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Open GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Plone Site') : False,
    ('test_add_and_delete_content','Sample Group Leader','doc1','Standard GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','Closed GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','Open GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Member','doc1','Plone Site') : False,
    ('test_add_and_delete_content','Sample Group Member','doc1','Standard GroupSpace') : True,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Closed GroupSpace') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Open GroupSpace') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Plone Site') : False,
    ('test_add_and_delete_content','Sample Group Visitor','doc1','Standard GroupSpace') : False,
    ('test_add_and_delete_content','Sample Manager','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','Closed GroupSpace') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','GroupSpace with Areas') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','Open GroupSpace') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','Plone Site') : True,
    ('test_add_and_delete_content','Sample Manager','doc1','Standard GroupSpace') : True,
    ('test_add_and_delete_content','Sample Member','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Member','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Member','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Member','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Member','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Member','doc1','Closed GroupSpace') : False,
    ('test_add_and_delete_content','Sample Member','doc1','GroupSpace with Areas') : False,
    ('test_add_and_delete_content','Sample Member','doc1','Open GroupSpace') : False,
    ('test_add_and_delete_content','Sample Member','doc1','Plone Site') : False,
    ('test_add_and_delete_content','Sample Member','doc1','Standard GroupSpace') : False,
    ('test_add_content','Sample Group Admin','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Admin','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Admin','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Admin','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Admin','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Admin','doc1','Closed GroupSpace') : True,
    ('test_add_content','Sample Group Admin','doc1','GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Admin','doc1','Open GroupSpace') : True,
    ('test_add_content','Sample Group Admin','doc1','Plone Site') : False,
    ('test_add_content','Sample Group Admin','doc1','Standard GroupSpace') : True,
    ('test_add_content','Sample Group Leader','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Leader','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Leader','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Leader','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Leader','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Leader','doc1','Closed GroupSpace') : True,
    ('test_add_content','Sample Group Leader','doc1','GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Leader','doc1','Open GroupSpace') : True,
    ('test_add_content','Sample Group Leader','doc1','Plone Site') : False,
    ('test_add_content','Sample Group Leader','doc1','Standard GroupSpace') : True,
    ('test_add_content','Sample Group Member','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Member','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Member','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Member','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Member','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Member','doc1','Closed GroupSpace') : True,
    ('test_add_content','Sample Group Member','doc1','GroupSpace with Areas') : True,
    ('test_add_content','Sample Group Member','doc1','Open GroupSpace') : True,
    ('test_add_content','Sample Group Member','doc1','Plone Site') : False,
    ('test_add_content','Sample Group Member','doc1','Standard GroupSpace') : True,
    ('test_add_content','Sample Group Visitor','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_add_content','Sample Group Visitor','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_add_content','Sample Group Visitor','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_add_content','Sample Group Visitor','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_add_content','Sample Group Visitor','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_add_content','Sample Group Visitor','doc1','Closed GroupSpace') : False,
    ('test_add_content','Sample Group Visitor','doc1','GroupSpace with Areas') : False,
    ('test_add_content','Sample Group Visitor','doc1','Open GroupSpace') : False,
    ('test_add_content','Sample Group Visitor','doc1','Plone Site') : False,
    ('test_add_content','Sample Group Visitor','doc1','Standard GroupSpace') : False,
    ('test_add_content','Sample Manager','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_add_content','Sample Manager','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_add_content','Sample Manager','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_add_content','Sample Manager','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_add_content','Sample Manager','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_add_content','Sample Manager','doc1','Closed GroupSpace') : True,
    ('test_add_content','Sample Manager','doc1','GroupSpace with Areas') : True,
    ('test_add_content','Sample Manager','doc1','Open GroupSpace') : True,
    ('test_add_content','Sample Manager','doc1','Plone Site') : True,
    ('test_add_content','Sample Manager','doc1','Standard GroupSpace') : True,
    ('test_add_content','Sample Member','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_add_content','Sample Member','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_add_content','Sample Member','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_add_content','Sample Member','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_add_content','Sample Member','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_add_content','Sample Member','doc1','Closed GroupSpace') : False,
    ('test_add_content','Sample Member','doc1','GroupSpace with Areas') : False,
    ('test_add_content','Sample Member','doc1','Open GroupSpace') : False,
    ('test_add_content','Sample Member','doc1','Plone Site') : False,
    ('test_add_content','Sample Member','doc1','Standard GroupSpace') : False,
    ('test_delete_content','Sample Group Admin','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Admin','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Admin','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Admin','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Admin','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Admin','doc1','Closed GroupSpace') : True,
    ('test_delete_content','Sample Group Admin','doc1','GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Admin','doc1','Open GroupSpace') : True,
    ('test_delete_content','Sample Group Admin','doc1','Plone Site') : False,
    ('test_delete_content','Sample Group Admin','doc1','Standard GroupSpace') : True,
    ('test_delete_content','Sample Group Leader','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Leader','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Leader','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Leader','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Leader','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Leader','doc1','Closed GroupSpace') : True,
    ('test_delete_content','Sample Group Leader','doc1','GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Leader','doc1','Open GroupSpace') : True,
    ('test_delete_content','Sample Group Leader','doc1','Plone Site') : False,
    ('test_delete_content','Sample Group Leader','doc1','Standard GroupSpace') : True,
    ('test_delete_content','Sample Group Member','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Member','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Member','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Member','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Member','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Member','doc1','Closed GroupSpace') : True,
    ('test_delete_content','Sample Group Member','doc1','GroupSpace with Areas') : True,
    ('test_delete_content','Sample Group Member','doc1','Open GroupSpace') : True,
    ('test_delete_content','Sample Group Member','doc1','Plone Site') : False,
    ('test_delete_content','Sample Group Member','doc1','Standard GroupSpace') : True,
    ('test_delete_content','Sample Group Visitor','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Group Visitor','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Group Visitor','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Group Visitor','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Group Visitor','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Group Visitor','doc1','Closed GroupSpace') : False,
    ('test_delete_content','Sample Group Visitor','doc1','GroupSpace with Areas') : False,
    ('test_delete_content','Sample Group Visitor','doc1','Open GroupSpace') : False,
    ('test_delete_content','Sample Group Visitor','doc1','Plone Site') : False,
    ('test_delete_content','Sample Group Visitor','doc1','Standard GroupSpace') : False,
    ('test_delete_content','Sample Manager','doc1','Area Box of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Manager','doc1','Area Public of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Manager','doc1','Area Resources of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Manager','doc1','Area Shared of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Manager','doc1','Area Test of GroupSpace with Areas') : True,
    ('test_delete_content','Sample Manager','doc1','Closed GroupSpace') : True,
    ('test_delete_content','Sample Manager','doc1','GroupSpace with Areas') : True,
    ('test_delete_content','Sample Manager','doc1','Open GroupSpace') : True,
    ('test_delete_content','Sample Manager','doc1','Plone Site') : True,
    ('test_delete_content','Sample Manager','doc1','Standard GroupSpace') : True,
    ('test_delete_content','Sample Member','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Member','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Member','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Member','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Member','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_delete_content','Sample Member','doc1','Closed GroupSpace') : False,
    ('test_delete_content','Sample Member','doc1','GroupSpace with Areas') : False,
    ('test_delete_content','Sample Member','doc1','Open GroupSpace') : False,
    ('test_delete_content','Sample Member','doc1','Plone Site') : False,
    ('test_delete_content','Sample Member','doc1','Standard GroupSpace') : False,
    ('test_search_content','Sample Group Admin','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Admin','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Admin','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Admin','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Admin','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Admin','doc1','Closed GroupSpace') : False,
    ('test_search_content','Sample Group Admin','doc1','GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Admin','doc1','Open GroupSpace') : False,
    ('test_search_content','Sample Group Admin','doc1','Plone Site') : False,
    ('test_search_content','Sample Group Admin','doc1','Standard GroupSpace') : False,
    ('test_search_content','Sample Group Leader','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Leader','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Leader','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Leader','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Leader','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Leader','doc1','Closed GroupSpace') : False,
    ('test_search_content','Sample Group Leader','doc1','GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Leader','doc1','Open GroupSpace') : False,
    ('test_search_content','Sample Group Leader','doc1','Plone Site') : False,
    ('test_search_content','Sample Group Leader','doc1','Standard GroupSpace') : False,
    ('test_search_content','Sample Group Member','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Member','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Member','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Member','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Member','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Member','doc1','Closed GroupSpace') : False,
    ('test_search_content','Sample Group Member','doc1','GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Member','doc1','Open GroupSpace') : False,
    ('test_search_content','Sample Group Member','doc1','Plone Site') : False,
    ('test_search_content','Sample Group Member','doc1','Standard GroupSpace') : False,
    ('test_search_content','Sample Group Visitor','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Visitor','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Visitor','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Visitor','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Visitor','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Visitor','doc1','Closed GroupSpace') : False,
    ('test_search_content','Sample Group Visitor','doc1','GroupSpace with Areas') : False,
    ('test_search_content','Sample Group Visitor','doc1','Open GroupSpace') : False,
    ('test_search_content','Sample Group Visitor','doc1','Plone Site') : False,
    ('test_search_content','Sample Group Visitor','doc1','Standard GroupSpace') : False,
    ('test_search_content','Sample Manager','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_search_content','Sample Manager','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_search_content','Sample Manager','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_search_content','Sample Manager','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_search_content','Sample Manager','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_search_content','Sample Manager','doc1','Closed GroupSpace') : False,
    ('test_search_content','Sample Manager','doc1','GroupSpace with Areas') : False,
    ('test_search_content','Sample Manager','doc1','Open GroupSpace') : False,
    ('test_search_content','Sample Manager','doc1','Plone Site') : False,
    ('test_search_content','Sample Manager','doc1','Standard GroupSpace') : False,
    ('test_search_content','Sample Member','doc1','Area Box of GroupSpace with Areas') : False,
    ('test_search_content','Sample Member','doc1','Area Public of GroupSpace with Areas') : False,
    ('test_search_content','Sample Member','doc1','Area Resources of GroupSpace with Areas') : False,
    ('test_search_content','Sample Member','doc1','Area Shared of GroupSpace with Areas') : False,
    ('test_search_content','Sample Member','doc1','Area Test of GroupSpace with Areas') : False,
    ('test_search_content','Sample Member','doc1','Closed GroupSpace') : False,
    ('test_search_content','Sample Member','doc1','GroupSpace with Areas') : False,
    ('test_search_content','Sample Member','doc1','Open GroupSpace') : False,
    ('test_search_content','Sample Member','doc1','Plone Site') : False,
    ('test_search_content','Sample Member','doc1','Standard GroupSpace') : False,
    }
register_em('CMFPlone', Content())
