# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import DataProvider

class Areas(DataProvider):
    def populate(self, portal):    
        for area in self.all():
            self.instantiate(portal, area)
            self.edit(area)
        
default = {'id':'area',
           'title':'An Area',
           'type_name':'GroupSpaceArea'}
key="title"
areas = Areas("GrufSpaces", default, key)
provide = areas.provide
provide(id='box',
        title='Box',
        type_name='GroupSpaceAreaBox')
provide(id='public',
        title='Public',
        type_name='GroupSpaceAreaPublic')
provide(id='resources',
        title='Resources',
        type_name='GroupSpaceAreaResources')
provide(id='shared',
        title='Shared',
        type_name='GroupSpaceAreaShared')
provide(id='test',
        title='Test',
        type_name='GroupSpaceAreaTest')
 
