# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import DataProvider

class Configuration(DataProvider):
    pass

default = {'title':'A GroupSpace',
           'areas':0,
           'user_search':1,
           'group_search':0}    
key="title"
           
configuration = Configuration("GrufSpaces", default, key)
provide=configuration.provide
provide( title='Standard GrufSpaces, many users',
         areas=0,
         user_search=1,
         group_search=0)
provide( title='Standard GrufSpaces, many groups',
         areas=0,
         user_search=0,
         group_search=1)
provide( title='Standard GrufSpaces, many users and groups',
         areas=0,
         user_search=1,
         group_search=1)
provide( title='Standard GrufSpaces, few users and groups',
         areas=0,
         user_search=0,
         group_search=0)

provide( title='GrufSpaces with Areas, many users',
         areas=1,
         user_search=1,
         group_search=0)
provide( title='GrufSpaces with Areas, many groups',
         areas=1,
         user_search=0,
         group_search=1)
provide( title='GrufSpaces with Areas, many users and groups',
         areas=1,
         user_search=1,
         group_search=1)
provide( title='GrufSpaces with Areas, few users and groups',
         areas=1,
         user_search=0,
         group_search=0)

