# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import interpreter
from Products.funittest import logical
from Products.funittest import physical
from Products.funittest import register_esg

class GroupSpaces:
    def snapshot(self, state):
        state.set('key', 'value')

    def add_groupspace(self, groupspace):
        interpreter.annotate("Check GroupSpace empty message")
        if physical.configlet.does_use_groupspace_areas():
            interpreter.verifyTextNotPresent("There are currently no items in this folder.")        
        else:
            interpreter.verifyTextPresent("There are currently no items in this folder.")
                
register_esg("GrufSpaces", GroupSpaces())
