# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import interpreter
from Products.funittest import logical
from Products.funittest import physical
from Products.funittest import register_lfm

class GroupSpaces:
    def add_groupspace(self, groupspace):
        interpreter.annotate("Add GroupSpace %s" %groupspace['title'])
        physical.groupspaces.add_groupspace()
        self.edit_groupspace(groupspace)

    def edit_groupspace(self, groupspace):
        interpreter.annotate("Edit GroupSpace %s" %groupspace['title'])
        
    def remove_groupspace(self, groupspace):
        interpreter.annotate("Remove GroupSpace")

    def access_groupspace(self, groupspace):
        interpreter.annotate("Access GroupSpace")
        
        
register_lfm("GrufSpaces", GroupSpaces())
