## Controller Python Script "GroupSpace_roles"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=change_type,collab_role=None,member_ids=[],collabrole_assignments=[], notify_user_assignment=0
##title=Change assignment of users to collab roles
##

if same_type(member_ids,""):
    member_ids=[member_ids,]
if change_type == 'add_user':
    for member_id in member_ids:
        context.assignCollabRoleToUser(collab_role,member_id)
        if notify_user_assignment:
            context.GroupSpace_invite(collab_role, member_id)
elif change_type == 'add_group':
    for member_id in member_ids:
        context.assignCollabRoleToGroup(collab_role,member_id)
elif change_type == 'remove':
    for asg in collabrole_assignments:
        user_type, userid, role = asg.split('/')
        if user_type == "user":
            context.removeCollabRoleFromUser(role, userid)
        elif user_type == "group":
            context.removeCollabRoleFromGroup(role, userid)
else:
    raise ValueError, 'Illegal value of change_type parameter: %s' % change_type

from Products.CMFPlone import transaction_note
transaction_note('Modified role assignment in CollabSpace %s at %s' % (context.title_or_id(), context.absolute_url()))

return state.set(context=context, portal_status_message='Role assignment changed.')
