# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
$Id: $
"""
__author__  = 'Maik Roeder'
__docformat__ = 'restructuredtext'

try:
    from Products.CMFCore.permissions import setDefaultRoles
except:
    from Products.CMFCore.CMFCorePermissions import setDefaultRoles

# Default permissions for PloneArticle
GroupSpace_addPermission = "GrufSpaces: Add GroupSpaces"
GroupSpace_assignRolePermission = "GrufSpaces: Assign GroupSpace Roles"
GroupSpace_sendMailPermission = "GrufSpaces: Send Mail to GroupSpace Members"

# Set up default roles for permissions
setDefaultRoles(GroupSpace_addPermission, ('Manager', 'Owner',))
setDefaultRoles(GroupSpace_assignRolePermission, ('Manager', 'Owner','GroupLeader', 'GroupAdmin'))
setDefaultRoles(GroupSpace_sendMailPermission, ('Manager', 'Owner', 'GroupLeader', 'GroupAdmin','GroupMember',))
