## Script (Python) "GroupSpace_invite"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=collab_role, member_id
##title=Send notification to member about new groupspace role
##
from Products.CMFCore.utils import getToolByName
mtool = getToolByName(context, 'portal_membership')
props = getToolByName(context, 'portal_properties')
reg_tool = getToolByName(context, 'portal_registration')

emailbody = ''

admin_member = mtool.getAuthenticatedMember()
from_email = admin_member.getProperty('email')

to_email = context.getMail(member_id)

if not (to_email and reg_tool.isValidEmail(to_email)):
    return "Error sending messages"

variables = { 'content_title'  : context.Title(),
              'content_url'    : context.absolute_url(),
              'role'           : collab_role,
              'from_email'     : from_email,
              'to_email'       : to_email,
              'default_charset': props.site_properties.default_charset,
              'emailbody'      : emailbody,
            }


message="Email sent"
unsent_emails=[]
if to_email:
    mail_text = container.GroupSpace_invitation_email_template(context, **variables)
    if context.sendMail(mail_text):
        pass
    else:
        unsent_emails.append(email)

if unsent_emails:
    message = "Error sending messages"
